Subject: Madison Park Serene 100% Cotton Bath Towel Set Luxurious Floral Decorative Towels for Bathroom Embroidered Cotton Jacquard Design Soft Highly Absorbent for Shower 600 GSM, Multi-Sizes, Blue 6 Piece
From: Trixie Hahn <[email-masked]>
To: [email-masked]
Date: Mon, 14 Apr 2025 08:11:39 -0700

I purchased these towels on April 1 from Amazon:

Order # 111-6962613-9478635

Madison Park Serene 100% Cotton Bath Towel Set Luxurious Floral
Decorative Towels for Bathroom Embroidered Cotton Jacquard Design Soft
Highly Absorbent for Shower 600 GSM, Multi-Sizes, Blue 6 Piece

The towels are beautiful.

But after only two machine washings, following the label instructions,
they are falling apart with fuzz and strings hanging off them, gaps
where the strings fell out.

I'm confused because they have decent reviews, leading me to believe
either the reviews are fake or these towels somehow are defective.

I'd like towels that hold up better or a refund, please.

Trixie Hahn